Skip to main content
GET
/
{chain_id}
/
api
/
v2
/
mud
/
worlds
/
{world}
/
tables
/
{table_id}
/
records
List of MUD world table records.
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/api/v2/mud/worlds/{world}/tables/{table_id}/records \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.blockscout.com/{chain_id}/api/v2/mud/worlds/{world}/tables/{table_id}/records"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.blockscout.com/{chain_id}/api/v2/mud/worlds/{world}/tables/{table_id}/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "decoded": {},
      "id": "<string>",
      "is_deleted": true,
      "raw": {
        "block_number": "<string>",
        "dynamic_data": "<string>",
        "encoded_lengths": "<string>",
        "key0": "<string>",
        "key1": "<string>",
        "key_bytes": "<string>",
        "log_index": "<string>",
        "static_data": "<string>"
      },
      "timestamp": "2023-11-07T05:31:56Z"
    }
  ],
  "next_page_params": {
    "key0": "0x73796269746c7900000000000000000043686573743332000000000000000000",
    "key_bytes": "0x73796269746c7900000000000000000043686573743332000000000000000000"
  },
  "schema": {
    "key_names": [
      "<string>"
    ],
    "key_types": [
      "<string>"
    ],
    "value_names": [
      "<string>"
    ],
    "value_types": [
      "<string>"
    ]
  },
  "table": {
    "table_full_name": "<string>",
    "table_id": "<string>",
    "table_name": "<string>",
    "table_namespace": "<string>"
  }
}
{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

world
string
required

MUD world address hash in the path

Pattern: ^0x([A-Fa-f0-9]{40})$
table_id
string
required

MUD table ID in the path

Pattern: ^0x([A-Fa-f0-9]{64})$
chain_id
string
required

The ID of the blockchain

Query Parameters

filter_key0
string

Filter by key0

filter_key1
string

Filter by key1

sort
enum<string>

Sort results by:

  • key_bytes - Sort by MUD record key_bytes
  • key0 - Sort by MUD record key0
  • key1 - Sort by MUD record key1 Should be used together with order parameter.
Available options:
key_bytes,
key0,
key1
order
enum<string>

Sort order:

  • asc - Ascending order
  • desc - Descending order Should be used together with sort parameter.
Available options:
asc,
desc
items_count
integer

Number of items per page

Required range: x >= 1
key_bytes
string

MUD record key_bytes for paging

Pattern: ^0x([A-Fa-f0-9]*)$
key0
string

MUD record key0 for paging

Pattern: ^0x([A-Fa-f0-9]{64})$
key1
string

MUD record key1 for paging

Pattern: ^0x([A-Fa-f0-9]{64})$

Response

List of MUD world table records.

items
Record · object[]
required
next_page_params
object | null
required
Example:
{
"key0": "0x73796269746c7900000000000000000043686573743332000000000000000000",
"key_bytes": "0x73796269746c7900000000000000000043686573743332000000000000000000"
}
schema
TableSchema · object
required

MUD TableSchema struct.

table
Table · object
required

MUD Table struct.